/*
 * Tachometer with DL430 display ver 1.0
 *
 * Juha Niinikoski 11.03.2005
 *
*/

/* Constants and definitions */


/* I/O definitions */

/* Port A */

#define	PORTA_INIT	0
//#define TRISA_INIT	0b10101011	// RA2, 4, 6 = digit drive. Note RA5 = input only

#define TRISA_INIT	    0b10100011	// test, RA3 = test out

#define TEST RA3

#define DIGIT_DRIVE	PORTA		// digit select bits


/* Port B */

#define	PORTB_INIT	0
#define	TRISB_INIT	0x00		// all outputs = segment drive

#define SEGMENT_DRIVE	PORTB		// segment bits


/* Other IO */

#define CMCON_INIT	0x32			// internal ref, inverted, CIS = 0

#define VRCON_INIT	0xA2			// 400mV ref

/* Comparator inputs */
#define SIGNAL	0x80		// C2 = signal input comparator, pin #18
#define MODE	0x40		// C1 ) mode select comparator, pin #17


/* define segment signals (Mitsu Hardware) */
#define A	0x02
#define B	0x10
#define C	0x40
#define D	0x01
#define E	0x04
#define F	0x08
#define G	0x80
#define Dp	0x20

/*   Define unsigned data types   */

#ifndef _BYTE_DEFINED_
#define _BYTE_DEFINED_

typedef unsigned char BYTE;
typedef unsigned int WORD;
typedef unsigned long LWORD;

#endif


/*   Define Boolean data type   */

#ifndef _BOOL_DEFINED_
#define _BOOL_DEFINED_

typedef BYTE BOOL;

#define FALSE 0
#define TRUE 1

#endif

/*   Define null pointer   */

#ifndef NULL
#define NULL (void *)0
#endif


